proba_settings = {
    "GDAL_CACHEMAX": '1000000000',
    "LS_MASK_FILE":"/vitodata/Frame/Lv2_PROBA/CAV/refs/S2_CAV_4PROBA_mask.tif",
    "ALB_OFFSET": 0,
    "ALB_SCALE": 0.005,
    "ALB_DESCRIPTION": 'Albedo',
    "ALB_UNITS": '-',
    "ALB_FLAGS": "255=Beyond ROI, 251=Missing over land",
    "ALB_NODATA": 255,
    "ALB_NORMALISATION": 1,
    "NDV_OFFSET": -0.08,
    "NDV_SCALE": 0.004,
    "NDV_DESCRIPTION": 'NDVI',
    "NDV_UNITS": '-',
    "NDV_FLAGS": "255=Beyond ROI, 251=Missing over land",
    "NDV_NODATA": 255,
    "FPR_POLYNOMIAL_COEFFICIENTS_PROBAV": [0.0425, -1.1857 , 9.4734 , -15.241 , 8.2051 ], #probav
    "ROIS": {
        "AFR":  {
            "left": -30.0044643,
            "lower": -40.0044643,
            "right": 65.0044643,
            "upper": 40.0044643,
            #width & height for the quicklook, if 0 it will be calculated from the other parameter
            "ql_width": 0,
            "ql_height": 1000
        }},
    "proba_bands" :  {
        "0": {
            "name" : "Status flags",
            "offset" :0,
            "scale" : 1,
            "description" : "Status bits: MSB 7-4=BLUE/RED/NIR/SWIR OK; 3=land; 2=snow; 1=cloud; LSB 0=[shadow]"

        },
        "1": {
            "name": "BLUE Rtoc",
            "offset": 0,
            "scale": 0.25,
            "description": ""

        },
        "2": {
            "name" : "RED Rtoc",
            "offset" :0,
            "scale" : 0.25
        },
        "3": {
            "name" : "NIR Rtoc",
            "offset" :0,
            "scale" :0.333333
        },
        "4": {
            "name" : "SWIR Rtoc",
            "offset" :0,
            "scale" :0.333333
        },
        "5": {
            "name" : "NDVI toc",
            "offset" :-0.08,
            "scale" :0.004
        },
        "g": {
            "name": "Registration day in month",
            "offset": 0,
            "scale": 1
        }
    }
}
lv2_settings = {
    "GDAL_CACHEMAX": '1000000000',
    "NDV_OFFSET": -0.08,
    "NDV_SCALE": 0.004,
    "NDV_DESCRIPTION": 'NDVI',
    "NDV_UNITS": '-',
    "NDV_FLAGS": "255=Beyond ROI, 251=Missing over land",
    "NDV_NODATA": 255,
    "ALB_OFFSET": 0,
    "ALB_SCALE": 0.005,
    "ALB_DESCRIPTION": 'Albedo',
    "ALB_UNITS": '-',
    "ALB_FLAGS": "255=Beyond ROI, 251=Missing over land",
    "ALB_NODATA": 255,
    "QUA_OFFSET": 0,
    "QUA_SCALE": 1,
    "QUA_UNITS": 'dekads',
    "QUA_FLAGS": "255=beyond ROI, 251=Missing over land",
    "QUA_DESCRIPTION": "For lacking/rejected IN-values: Gap to Previous Good IN-observation",
    "QUA_NODATA": 255,
    "FPR_OFFSET": 0,
    "FPR_SCALE": 0.005,
    "FPR_DESCRIPTION": 'From MaxNDVI-S10-Composite from Sentinel2, Smoothed & Masked',
    "FPR_UNITS": '-',
    "FPR_FLAGS": "255=Beyond ROI, 251=Missing over land",
    "FPR_NODATA": 255,
    "S2_POLYNOMIAL_COEFFICIENTS": [-0.003722892506502186, -0.3868060534807155, 7.055361461275105, -12.43563702856161, 7.109692968647273],
    "NPP_SMC_OFFSET": 0,
    "NPP_SMC_SCALE": 0.001,
    "NPP_SMC_VLO": 0,
    "NPP_SMC_VHI": 32767,
    "NPP_SMC_DESCRIPTION": 'Net Primary Productivity NPP, adjusted for Soil Moisture Stress',
    "NPP_SMC_UNITS": 'gC/m2/day',
    "NPP_SMC_FLAGS": "-9999=background, -9998=nodata",
    "TBP_OFFSET": 0,
    "TBP_SCALE": 10,
    "TBP_VLO": 0,
    "TBP_VHI": 32767,
    "TBP_DESCRIPTION": "SUM of NPP S10-IMGs <path>2_SRI_NPP_[YYTT] from 20180701 to 20200621 over season 2 of 2019",
    "TBP_UNITS": 'kgDM/ha/season',
    "TBP_FLAGS": "-1=water,-2=missing PHENO,-3=no season 2,-4=insufficient inputs,-5=before season",
    "TBP_NODATA": -1,
    "ROIS": {
        "AFR":  {
            "left": -30.0044643,
            "lower": -40.0044643,
            "right": 65.0044643,
            "upper": 40.0044643,
            #width & height for the quicklook, if 0 it will be calculated from the other parameter
            "ql_width": 0,
            "ql_height": 1000
        },
        "SRI":  {
            "left": 79.6185516,
            "lower": 5.8774802,
            "right": 81.9002976,
            "upper": 9.8457341,
            #width & height for the quicklook, if 0 it will be calculated from the other parameter
            "ql_width": 0,
            "ql_height": 1000
        },
        "SSB":  {
            "left": -30.0044643,
            "lower": -2.3764881,
            "right": 65.0044643,
            "upper": 19.6671627,
            # width & height for the quicklook, if 0 it will be calculated from the other parameter
            "ql_width": 0,
            "ql_height": 500
        }
    }
}

#settings that had to be available in the meteo tif metadata
meteo_settings_dict = {
    ## rasterio uses gdal in the background so limit the GDAL_CACHE
    # this parameter is in bytes 1GB will result in 1,2GB memory usage at the end.
    "GDAL_CACHEMAX": '1000000000',
    "TMIN_OFFSET": -2731,
    "TMIN_SCALE": 1,
    "TMAX_OFFSET": -2731,
    "TMAX_SCALE": 1,
    "SR_OFFSET": 0,
    "SR_SCALE": 86.4,
    "NPM_OFFSET": 0,
    "NPM_SCALE": 0.001,
    "NPM_DESCRIPTION": 'Net Primary Productivity NPP, Maximum for fAPAR=1.0, RUE=1, AutoResp=0.5 + 0*Tk, CO2=412.845 ppmv (var~year)',
    "NPM_UNITS": 'gC/m2/day',
    "NPP_OFFSET": 0,
    "NPP_SCALE": 0.001,
    "NPP_DESCRIPTION": 'Net Primary Productivity NPP',
    "NPP_UNITS": 'gC/m2/day',
    "input_blockXsize": 256,
    "input_blockYsize": 256
}
