pheno_settings = {
    "in_Vlo": 0,
    "in_Vhi": 250,
    "in_Vint": -0.08,
    "in_Vslo": 0.004,
    "MaxMisPerc": 15,
    "out": {
            0: {
                "name": "Ya0",
                "generate_output": True,
                "Vint" : -0.08,
                "Vslo": 0.004,
                "Vlo": 0,
                "Vhi": 250,
                "description": "Annual Mean VI",
                "unit" : ""
            },
            1: {
                "name": "Yr0",
                "generate_output": True,
                "Vint" : 0,
                "Vslo": 0.004,
                "Vlo": 0,
                "Vhi": 250,
                "description":"Annual VI-Range",
                "unit":""
            },
            2: {
                "name":"KK0",
                "generate_output": True,
                "Vint" : 0,
                "Vslo": 1.0,
                "Vlo": 0,
                "Vhi": 244,
                "description": "k=100.Ns[0-2]+10.MU[0-4]+RG[0-4]",
                "unit": "PHENO-class"
            },
            3: {
                "name":"s1",
                "generate_output": True,
                "Vint" : -36,
                "Vslo": 1 ,
                "Vlo": 1,
                "Vhi": 108,
                "description": "SOS1",
                "unit": "dekad"
            },
4: {
                "name":"m1",
                "generate_output": True,
                "Vint" : -36,
                "Vslo": 1 ,
                "Vlo": 1,
                "Vhi": 108,
                "description": "MOS1",
                "unit": "dekad"
            },
5: {
                "name":"e1",
                "generate_output": True,
                "Vint" : -36,
                "Vslo": 1 ,
                "Vlo": 1,
                "Vhi": 108,
                "description": "EOS1",
                "unit": "dekad"
            },
6: {
                "name":"L1",
                "generate_output": True,
                "Vint" : 0,
                "Vslo": 1 ,
                "Vlo": 0,
                "Vhi": 108,
                "description": "LEN1",
                "unit": "dekads"
            },
7: {
                "name":"s2",
                "generate_output": True,
                "Vint" : -36,
                "Vslo": 1 ,
                "Vlo": 1,
                "Vhi": 108,
                "description": "SOS2",
                "unit": "dekad"
            },
8: {
                "name":"m2",
                "generate_output": True,
                "Vint" : -36,
                "Vslo": 1 ,
                "Vlo": 1,
                "Vhi": 108,
                "description": "MOS2",
                "unit": "dekad"
            },
9: {
                "name":"e2",
                "generate_output": True,
                "Vint" : -36,
                "Vslo": 1 ,
                "Vlo": 1,
                "Vhi": 108,
                "description": "EOS2",
                "unit": "dekad"
            },

10: {
                "name":"L2",
                "generate_output": True,
                "Vint" : 0,
                "Vslo": 1 ,
                "Vlo": 0,
                "Vhi": 108,
                "description": "LEN2",
                "unit": "dekads"
            },
11: {
                "name":"Ys1",
                #"generate_output": False,
"generate_output": True,
                "Vint" : -0.08,
                "Vslo": 0.004,
                "Vlo": 0,
                "Vhi": 250,
                "description": "VI at SOS1",
                "unit": ""
            },
12: {
                "name":"Ym1",
    # "generate_output": False,
    "generate_output": True,
                "Vint" : -0.08,
                "Vslo": 0.004,
                "Vlo": 0,
                "Vhi": 250,
                "description": "VI at MOS1",
                "unit": ""
            },
13: {
                "name":"Ye1",
    # "generate_output": False,
    "generate_output": True,
                "Vint" : -0.08,
                "Vslo": 0.004,
                "Vlo": 0,
                "Vhi": 250,
                "description": "VI at EOS1",
                "unit": ""
            },
14: {
                "name":"Ya1",
    # "generate_output": False,
    "generate_output": True,
                "Vint" : -0.08,
                "Vslo": 0.004,
                "Vlo": 0,
                "Vhi": 250,
                "description": "VI-Mean over Season1",
                "unit": ""
            },
15: {
                "name":"Ys2",
    # "generate_output": False,
    "generate_output": True,
                "Vint" : -0.08,
                "Vslo": 0.004,
                "Vlo": 0,
                "Vhi": 250,
                "description": "VI at SOS2",
                "unit": ""
            },
16: {
                "name":"Ym2",
    # "generate_output": False,
    "generate_output": True,
                "Vint" : -0.08,
                "Vslo": 0.004,
                "Vlo": 0,
                "Vhi": 250,
                "description": "VI at MOS2",
                "unit": ""
            },
17: {
                "name":"Ye2",
    # "generate_output": False,
    "generate_output": True,
                "Vint" : -0.08,
                "Vslo": 0.004,
                "Vlo": 0,
                "Vhi": 250,
                "description": "VI at EOS2",
                "unit": ""
            },

18: {
                "name":"Ya2",
    # "generate_output": False,
    "generate_output": True,
                "Vint" : -0.08,
                "Vslo": 0.004,
                "Vlo": 0,
                "Vhi": 250,
                "description": "VI-Mean over Season2",
                "unit": ""
            },
19: {
                "name":"LT0",
                "generate_output": True,
                "Vint" : 0,
                "Vslo": 1,
                "Vlo": 0,
                "Vhi": 108,
                "description": "LEN1+LEN2",
                "unit": "dekads"
            },
20: {
                "name":"LR0",
                "generate_output": True,
                "Vint" : 0,
                "Vslo": 0.5,
                "Vlo": 0,
                "Vhi": 200,
                "description": "100.LEN1/[LEN1+LEN2]",
                "unit": "%"
            },
21: {
                "name":"SI0",
                "generate_output": True,
                "Vint" : 0,
                "Vslo": 1,
                "Vlo": 0,
                "Vhi": 250,
                "description": "100.(Ygreen/Yannual - 1)",
                "unit": "%"
            }


    }
}
