#!/bin/bash
tile_lst=$1
dekad=$2
output_end=$3
input_end=$4
mask=$5
input_mount_dir=$6
output_mount_dir=$7
ref_mount_dir=$8
tmp_mount_dir=$9
shift
input_dir=$9
shift
output_dir=$9
shift
startdate=$9
shift
nr_output_dekads=$9
shift
roi=$9

export SPARK_MAJOR_VERSION=2
export SPARK_HOME=/usr/hdp/current/spark2-client
export PYSPARK_PYTHON="/usr/bin/python3.6"

keyfile="config/mep_frame.keytab"

kinit -kt $keyfile mep_frame
DIRNAME=`dirname $0`


zip -r "/tmp/frame_smooth_hist.zip" *.py && \
  spark-submit --master yarn --queue mep_frame --deploy-mode cluster \
  --name "Frame_smooth_historical_${roi}" \
  --conf spark.yarn.appMasterEnv.YARN_CONTAINER_RUNTIME_TYPE=docker --conf spark.executorEnv.YARN_CONTAINER_RUNTIME_TYPE=docker \
  --conf spark.yarn.appMasterEnv.YARN_CONTAINER_RUNTIME_DOCKER_IMAGE=vito-docker-private.artifactory.vgt.vito.be/frame_smoother \
  --conf spark.executorEnv.YARN_CONTAINER_RUNTIME_DOCKER_IMAGE=vito-docker-private.artifactory.vgt.vito.be/frame_smoother \
  --conf spark.yarn.appMasterEnv.YARN_CONTAINER_RUNTIME_DOCKER_MOUNTS=/var/lib/sss/pipes:/var/lib/sss/pipes:rw,/usr/hdp/current/:/usr/hdp/current/:ro,/etc/hadoop/conf/:/etc/hadoop/conf/:ro,/etc/krb5.conf:/etc/krb5.conf:ro,${input_mount_dir}:${input_mount_dir}:ro,${tmp_mount_dir}:${tmp_mount_dir}:ro \
  --conf spark.executorEnv.YARN_CONTAINER_RUNTIME_DOCKER_MOUNTS=/var/lib/sss/pipes:/var/lib/sss/pipes:rw,/usr/hdp/current/:/usr/hdp/current/:ro,/etc/hadoop/conf/:/etc/hadoop/conf/:ro,/etc/krb5.conf:/etc/krb5.conf:ro,${input_mount_dir}:${input_mount_dir}:ro,${ref_mount_dir}:${ref_mount_dir}:ro,${output_mount_dir}:${output_mount_dir}:rw \
  --conf spark.executorEnv.INCLUDE=/usr/include/ --conf spark.yarn.appMasterEnv.PYSPARK_PYTHON=/usr/bin/python3.6 \
  --conf spark.yarn.appMasterEnv.SPARK_HOME=/usr/hdp/current/spark2-client \
  --conf spark.yarn.appMasterEnv.SPARK_HOME=/usr/hdp/current/spark2-client \
  --conf spark.yarn.appMasterEnv.PYSPARK_DRIVER_PYTHON=/usr/bin/python3.6 \
  --conf spark.executorEnv.PYSPARK_PYTHON=/usr/bin/python3.6 \
  --conf spark.shuffle.service.enabled=true --conf spark.dynamicAllocation.enabled=true \
  --conf spark.dynamicAllocation.minExecutors=1 \
  --conf spark.dynamicAllocation.maxExecutors=36 \
  --conf spark.yarn.submit.waitAppCompletion=true \
  --conf spark.executor.memoryOverhead=2200M \
  --principal "mep_frame@VGT.VITO.BE" \
  --keytab $keyfile \
  --executor-memory 512M --py-files /tmp/frame_smooth_hist.zip ${DIRNAME}/smooth_all_tiles.py \
  --output-end ${output_end} \
  --input-end ${input_end} \
  --dekad ${dekad} \
  --mask ${mask} \
  --tile-list ${tile_lst} \
  --input-dir ${input_dir} \
  --output-dir ${output_dir} \
  --input-start ${startdate} \
  --output-dekads ${nr_output_dekads}
