#!/bin/bash
input_folder_lst=$1
proba_root_dir=$2
mount_dir=$3
job_name=$4
projwin=$5

export SPARK_MAJOR_VERSION=2
export SPARK_HOME=/usr/hdp/current/spark2-client
export PYSPARK_PYTHON="/usr/bin/python3.6"

DIRNAME=`dirname $0`
DIRNAME="${DIRNAME}/../.."
cd $DIRNAME

keyfile="frame_s2/config/mep_frame.keytab"
kinit -kt $keyfile mep_frame


zip -r "/tmp/frame_proba.zip" frame_s2/*.py frame_s2/config/*.lst frame_s2/executables/smooth15.so frame_s2/config/*.py && \
  spark-submit --master yarn --queue mep_frame --deploy-mode cluster \
  --name "${job_name}" \
  --conf spark.yarn.appMasterEnv.YARN_CONTAINER_RUNTIME_TYPE=docker --conf spark.executorEnv.YARN_CONTAINER_RUNTIME_TYPE=docker \
  --conf spark.yarn.appMasterEnv.YARN_CONTAINER_RUNTIME_DOCKER_IMAGE=vito-docker-private.artifactory.vgt.vito.be/frame_smoother \
  --conf spark.executorEnv.YARN_CONTAINER_RUNTIME_DOCKER_IMAGE=vito-docker-private.artifactory.vgt.vito.be/frame_smoother \
  --conf spark.yarn.appMasterEnv.YARN_CONTAINER_RUNTIME_DOCKER_MOUNTS=/var/lib/sss/pipes:/var/lib/sss/pipes:rw,/usr/hdp/current/:/usr/hdp/current/:ro,/etc/hadoop/conf/:/etc/hadoop/conf/:ro,/etc/krb5.conf:/etc/krb5.conf:ro,${mount_dir}:${mount_dir}:rw \
  --conf spark.executorEnv.YARN_CONTAINER_RUNTIME_DOCKER_MOUNTS=/var/lib/sss/pipes:/var/lib/sss/pipes:rw,/usr/hdp/current/:/usr/hdp/current/:ro,/etc/hadoop/conf/:/etc/hadoop/conf/:ro,/etc/krb5.conf:/etc/krb5.conf:ro,/vitodata/frame_5:/vitodata/frame_5:ro,${mount_dir}:${mount_dir}:rw \
  --conf spark.executorEnv.INCLUDE=/usr/include/ --conf spark.yarn.appMasterEnv.PYSPARK_PYTHON=/usr/bin/python3.6 \
  --conf spark.yarn.appMasterEnv.SPARK_HOME=/usr/hdp/current/spark2-client \
  --conf spark.yarn.appMasterEnv.SPARK_HOME=/usr/hdp/current/spark2-client \
  --conf spark.yarn.appMasterEnv.PYSPARK_DRIVER_PYTHON=/usr/bin/python3.6 \
  --conf spark.executorEnv.PYSPARK_PYTHON=/usr/bin/python3.6 \
  --conf spark.shuffle.service.enabled=true --conf spark.dynamicAllocation.enabled=true \
  --conf spark.dynamicAllocation.minExecutors=1 \
  --conf spark.dynamicAllocation.maxExecutors=30 \
  --conf spark.yarn.submit.waitAppCompletion=true \
  --conf spark.executor.memoryOverhead=1800M \
  --principal "mep_frame@VGT.VITO.BE" \
  --keytab $keyfile \
  --executor-memory 512M --files frame_s2/executables/smooth15.so --py-files /tmp/frame_proba.zip frame_s2/postprocess_all_probav_lv2.py \
  --input_folder_lst ${input_folder_lst} \
  --root_dir ${proba_root_dir} \
  --projwin ${projwin}

