#!/bin/bash
start_dekad=$1
end_dekad=$2
mask=$3
input_mount_dir=$4
input_dir=$5
output_mount_dir=$6
output_dir=$7
ref_mount_dir=$8
tile_lst_file=$9
shift
tiledir_posix=$9
shift
roi=${9}
shift
clip=${9}

export SPARK_MAJOR_VERSION=2
export SPARK_HOME=/usr/hdp/current/spark2-client
export PYSPARK_PYTHON="/usr/bin/python3.6"

DIRNAME=`dirname $0`
DIRNAME="${DIRNAME}/../.."
cd $DIRNAME

keyfile="frame_s2/config/mep_frame.keytab"
kinit -kt $keyfile mep_frame


zip -r "/tmp/frame_mosaic.zip" frame_s2/*.py frame_s2/config/*.py frame_s2/config/*.lst && \
  spark-submit --master yarn --queue mep_frame --deploy-mode cluster \
  --name "Frame_mosaic_${roi}_${start_dekad}_${end_dekad}" \
  --conf spark.yarn.appMasterEnv.YARN_CONTAINER_RUNTIME_TYPE=docker --conf spark.executorEnv.YARN_CONTAINER_RUNTIME_TYPE=docker \
  --conf spark.yarn.appMasterEnv.YARN_CONTAINER_RUNTIME_DOCKER_IMAGE=vito-docker-private.artifactory.vgt.vito.be/frame_smoother \
  --conf spark.executorEnv.YARN_CONTAINER_RUNTIME_DOCKER_IMAGE=vito-docker-private.artifactory.vgt.vito.be/frame_smoother \
  --conf spark.yarn.appMasterEnv.YARN_CONTAINER_RUNTIME_DOCKER_MOUNTS=/var/lib/sss/pipes:/var/lib/sss/pipes:rw,/usr/hdp/current/:/usr/hdp/current/:ro,/etc/hadoop/conf/:/etc/hadoop/conf/:ro,/etc/krb5.conf:/etc/krb5.conf:ro,${input_mount_dir}:${input_mount_dir}:ro \
  --conf spark.executorEnv.YARN_CONTAINER_RUNTIME_DOCKER_MOUNTS=/var/lib/sss/pipes:/var/lib/sss/pipes:rw,/usr/hdp/current/:/usr/hdp/current/:ro,/etc/hadoop/conf/:/etc/hadoop/conf/:ro,/etc/krb5.conf:/etc/krb5.conf:ro,${input_mount_dir}:${input_mount_dir}:ro,${ref_mount_dir}:${ref_mount_dir}:ro,${output_mount_dir}:${output_mount_dir}:rw \
  --conf spark.executorEnv.INCLUDE=/usr/include/ --conf spark.yarn.appMasterEnv.PYSPARK_PYTHON=/usr/bin/python3.6 \
  --conf spark.yarn.appMasterEnv.SPARK_HOME=/usr/hdp/current/spark2-client \
  --conf spark.yarn.appMasterEnv.SPARK_HOME=/usr/hdp/current/spark2-client \
  --conf spark.yarn.appMasterEnv.PYSPARK_DRIVER_PYTHON=/usr/bin/python3.6 \
  --conf spark.executorEnv.PYSPARK_PYTHON=/usr/bin/python3.6 \
  --conf spark.shuffle.service.enabled=true --conf spark.dynamicAllocation.enabled=true \
  --conf spark.dynamicAllocation.minExecutors=1 \
  --conf spark.dynamicAllocation.maxExecutors=36 \
  --conf spark.yarn.submit.waitAppCompletion=true \
  --conf spark.executor.memoryOverhead=1G \
  --principal "mep_frame@VGT.VITO.BE" \
  --keytab $keyfile \
  --executor-memory 512M --files frame_s2/config/FRAME_tilelst_${roi}.lst --py-files /tmp/frame_mosaic.zip frame_s2/wrapper_mosaicer.py \
  --start_dekad ${start_dekad} \
  --end_dekad ${end_dekad} \
  --mask ${mask} \
  --input_dir ${input_dir} \
  --output_dir ${output_dir} \
  --tiledir_posix ${tiledir_posix} \
  --tile_list ${tile_lst_file} \
  --roi ${roi} \
  --clip ${clip}

