import argparse

from os.path import join
import os


from frame_s2.qua_adapt import start_qua_adapt
from frame_s2.postproc_helper import nextDekad


def parse_arguments():
    parser = argparse.ArgumentParser(prog='wrapper_qua_adapt.py',description="calling qua_qua_adapt for timeseries")

    parser.add_argument("--start_dekad", type=str, help="yytt",
                        required=True)
    parser.add_argument("--end_dekad", type=str, help="yytt",
                        required=True)
    parser.add_argument("--in_folder", type=str, help="in_folder",
                        required=True)
    parser.add_argument("--out_folder", type=str, help="in_folder",
                        required=True)
    parser.add_argument("--roi", type=str, help="roi SRI|SSB|AFR",
                        required=True)
    parser.add_argument("--previous_out_qua_dek", type=str, help="Use Previous QUADekad file as input, if None(default), it won't be used",
                        default=None)


    return parser.parse_args()

def main():
    args = parse_arguments()
    print(args)

    file_prefix = 'L2' if args.roi == 'AFR' else 'L2_%s' % args.roi

    dekad = args.start_dekad
    previous_dekad_file = args.previous_out_qua_dek
    if not os.path.exists(previous_dekad_file):
        raise Exception("previous dekadal file does not exist %s " % previous_dekad_file)

    #loop over all dekads
    while int(dekad) < int(args.end_dekad):
        print ("Handling dekad : %s " % dekad)
        out_file = join(args.out_folder, '%s_QUAL_%s.tif') % (file_prefix, dekad)
        day_in_file = join(args.in_folder, 'composite_QUA_%s.tif') % (dekad)
        print("day_in_file : %s" % day_in_file)
        print ("out_file : %s" % out_file)
        print ("previous_dekad_file : %s" %previous_dekad_file)
        previous_dekad_file = start_qua_adapt(dekad, day_in_file, out_file, previous_dekad_file)
        dekad = nextDekad(dekad)

if __name__ == "__main__":
    main()

